<?php

namespace App\Models;

use CodeIgniter\Model;

class ModelPegawai extends Model

{
    protected $table = 'pegawai'; // Nama tabel di database
    protected $primaryKey = 'id_pegawai'; // Primary key tabel
    protected $allowedFields = ['name', 'specialization', 'phone', 'email']; // Kolom yang dapat diisi

    /**
     * Fungsi untuk mendapatkan semua data lansia
     *
     * @return array
     */
    public function getAllData()
    {
        return $this->orderBy('id_pegawai', 'DESC')->findAll();
    }

    /**
     * Fungsi untuk mendapatkan data lansia berdasarkan id_pegawai
     *
     * @param int $id_pegawai
     * @return array|null
     */
    public function getDataById($id_pegawai)
    {
        return $this->where('id_pegawai', $id_pegawai)->first();
    }

    /**
     * Fungsi untuk menambahkan data baru
     *
     * @param array $data
     * @return bool
     */
    public function tambahData($data)
    {
        return $this->insert($data);
    }

    /**
     * Fungsi untuk memperbarui data
     *
     * @param int $id_pegawai
     * @param array $data
     * @return bool
     */
    public function updateData($id_pegawai, $data)
    {
        return $this->update($id_pegawai, $data);
    }

    /**
     * Fungsi untuk menghapus data
     *
     * @param int $id_pegawai
     * @return bool
     */
    public function deleteData($id_pegawai)
    {
        return $this->delete($id_pegawai);
    }
}
